package com.patzn.lims.drug.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.drug.entity.DrugTestType;

import java.util.List;

/**
 * <p>
 * 食药物料类型 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface IDrugTestTypeService extends IBaseService<DrugTestType> {

    Page<DrugTestType> page(Page<DrugTestType> page, DrugTestType drugTestType);

    List<DrugTestType> getClassList(DrugTestType drugTestType);

    List<String> getStringList(DrugTestType drugTestType);
}
